Package org.apache.struts2.util

# Class ConfigParseUtil

java.lang.Object
org.apache.struts2.util.ConfigParseUtil

public class ConfigParseUtil extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<String>`
  `toClassesSet(String newDelimitedClasses)`
  `static Set<Class<?>>`
  `toClassObjectsSet(String newDelimitedClasses)`
  `static Set<String>`
  `toNewClassesSet(Set<String> oldClasses, String newDelimitedClasses)`
  `static Set<String>`
  `toNewPackageNamesSet(Collection<String> oldPackageNames, String newDelimitedPackageNames)`
  `static Set<Pattern>`
  `toNewPatternsSet(Set<Pattern> oldPatterns, String newDelimitedPatterns)`
  `static Set<String>`
  `toPackageNamesSet(String newDelimitedPackageNames)`
  `static Set<Class<?>>`
  `validateClasses(Set<String> classNames, ClassLoader validatingClassLoader)`
  `static void`
  `validatePackageNames(Collection<String> packageNames)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toClassesSet

    public static Set<String> toClassesSet(String newDelimitedClasses) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### toClassObjectsSet

    public static Set<Class<?>> toClassObjectsSet(String newDelimitedClasses) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### toNewClassesSet

    public static Set<String> toNewClassesSet(Set<String> oldClasses, String newDelimitedClasses) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### toNewPatternsSet

    public static Set<Pattern> toNewPatternsSet(Set<Pattern> oldPatterns, String newDelimitedPatterns) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### validateClasses

    public static Set<Class<?>> validateClasses(Set<String> classNames, ClassLoader validatingClassLoader) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### toPackageNamesSet

    public static Set<String> toPackageNamesSet(String newDelimitedPackageNames) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### toNewPackageNamesSet

    public static Set<String> toNewPackageNamesSet(Collection<String> oldPackageNames, String newDelimitedPackageNames) throws ConfigurationException
    Throws:
      `ConfigurationException`

  - ### validatePackageNames

    public static void validatePackageNames(Collection<String> packageNames)